local ui = require("ui")

local rougelike = require("rougelike")
local mainmenu = require("mainmenu")
local paused = {}
function paused.init(isWin)
    local stage = ui.newStage() 

    local header = ui.newLabel("Game paused")
    local continueBtn = ui.newButton("Continue")
    local menuBtn = ui.newButton("Back to main menu")

    local container = ui.newPanel(100, 200, 0, 0, 10, 20)
    container.bgcolor = {r = 0.3, g = 0.3, b = 0.3, a = 0.8}
    local btnContainer = ui.newPanel(100, 200, 0, 0, 10, 0)
    --TODO: layout algo is kinda fucked up. mehrmals ausführen vergrößert die elemente. sollte nicht passieren.
    -- 
    btnContainer.layoutManager = ui.linearHorizontalLayoutManager
    btnContainer:addCild(continueBtn)
    btnContainer:addCild(menuBtn)
    container:addCild(header)
    container:addCild(btnContainer)

    continueBtn.onclick = function(button) gamestate = GAMESTATES.default 
    activeStage = nil
     end

    menuBtn.onclick = function(button)

        gamestate = GAMESTATES.menu
        mainmenu.init()
    end

    continueBtn:select()

    
    container:pack()

    container.x = love.graphics.getWidth() / 2 - (container.width / 2)

    stage:addRootElement(container)

    activeStage = stage

end

return paused
