local stars = {}

function stars.generateCanvas(w, h, n)
    local numstars = n or 1000
    local width = w or 1000
    local height = h or 1000
    local sizerange = 5
    width = math.min(love.graphics.getSystemLimits().texturesize,width)
    height = math.min(love.graphics.getSystemLimits().texturesize,height)

    local canvas = love.graphics.newCanvas(width, height)
    love.graphics.setCanvas(canvas)
    love.graphics.clear(0, 0, 0, 0)
    love.graphics.setColor(1, 1, 1, 1)
    local stars = {}
    for i = 1, numstars do
        local x = math.random(0, width)
        local y = math.random(0, height)
        local size = math.random(sizerange)

        love.graphics.circle("fill", x, y, size / 2)

    end
    love.graphics.setCanvas()

    return canvas

end

return stars
